diff --git a/lib/app/modules/petugas_desa/views/detail_penyaluran_page.dart b/lib/app/modules/petugas_desa/views/detail_penyaluran_page.dart
index 74c3bb9..00a5381 100644
--- a/lib/app/modules/petugas_desa/views/detail_penyaluran_page.dart
+++ b/lib/app/modules/petugas_desa/views/detail_penyaluran_page.dart
@@ -1908,16 +2580,6 @@ class DetailPenyaluranPage extends StatelessWidget {
     }
   }
 
-  String _getStatusPenerimaanText(String status) {
-    // Konversi status ke format yang diinginkan
-    if (status.toUpperCase() == 'DITERIMA') {
-      return 'Sudah Menerima';
-    } else {
-      // Semua status selain DITERIMA dianggap sebagai BELUMMENERIMA
-      return 'Belum Menerima';
-    }
-  }
-
   Widget _buildPembatalanSection(BuildContext context) {
     final penyaluran = controller.penyaluran.value!;
 
@@ -2202,120 +2864,4 @@ class DetailPenyaluranPage extends StatelessWidget {
       );
     });
   }
-
-  List<PenerimaPenyaluranModel> _getFilteredPenerima() {
-    final query = searchQuery.value;
-    final status = statusFilter.value;
-
-    // Filter dasar berdasarkan query pencarian
-    List<PenerimaPenyaluranModel> filteredList = controller.penerimaPenyaluran;
-
-    if (query.isNotEmpty) {
-      filteredList = filteredList.where((item) {
-        final warga = item.warga;
-        if (warga == null) return false;
-
-        final nama = warga['nama_lengkap']?.toString().toLowerCase() ?? '';
-        final nik = warga['nik']?.toString().toLowerCase() ?? '';
-        final alamat = warga['alamat']?.toString().toLowerCase() ?? '';
-        final statusPenerimaan = item.statusPenerimaan?.toLowerCase() ?? '';
-
-        return nama.contains(query) ||
-            nik.contains(query) ||
-            alamat.contains(query) ||
-            statusPenerimaan.contains(query);
-      }).toList();
-    }
-
-    // Filter tambahan berdasarkan status
-    if (status != 'SEMUA') {
-      filteredList = filteredList.where((item) {
-        if (status == 'DITERIMA') {
-          return item.statusPenerimaan?.toUpperCase() == 'DITERIMA';
-        } else {
-          // Semua status selain DITERIMA dianggap sebagai BELUMMENERIMA
-          return item.statusPenerimaan?.toUpperCase() == 'BELUMMENERIMA';
-        }
-      }).toList();
-    }
-
-    return filteredList;
-  }
-
-  // Fungsi untuk membuka scanner QR code
-  void _showQrCodeScanner(BuildContext context) async {
-    if (controller.penyaluran.value?.id == null) return;
-
-    final result = await Get.to(
-      () => QrScannerPage(
-        penyaluranId: controller.penyaluran.value!.id!,
-      ),
-    );
-
-    if (result == true) {
-      // Refresh data setelah kembali dari scanner jika berhasil
-      await controller.refreshData();
-      Get.snackbar(
-        'Berhasil',
-        'Penerima berhasil diverifikasi',
-        backgroundColor: Colors.green,
-        colorText: Colors.white,
-      );
-    }
-  }
-
-  // Widget untuk menampilkan QR Code (dikosongkan untuk petugas desa)
-  Widget _buildQrCodeSection(PenerimaPenyaluranModel penerima) {
-    // Widget QR Code tetap dibuat tapi tidak digunakan di petugas desa
-    return const SizedBox.shrink();
-  }
-
-  // Widget untuk status chip baru
-  Widget _buildStatusChipNew(String status) {
-    final bool isDiterima = status.toUpperCase() == 'DITERIMA';
-    final Color statusColor =
-        isDiterima ? AppTheme.successColor : AppTheme.warningColor;
-    final String statusText = isDiterima ? 'Sudah Menerima' : 'Belum Menerima';
-    final IconData statusIcon = isDiterima ? Icons.check_circle : Icons.pending;
-
-    return Container(
-      padding: const EdgeInsets.symmetric(horizontal: 10, vertical: 6),
-      decoration: BoxDecoration(
-        color: statusColor.withOpacity(0.1),
-        borderRadius: BorderRadius.circular(20),
-        border: Border.all(color: statusColor.withOpacity(0.3)),
-        boxShadow: [
-          BoxShadow(
-            color: statusColor.withOpacity(0.1),
-            blurRadius: 4,
-            offset: const Offset(0, 1),
-          ),
-        ],
-      ),
-      child: Row(
-        mainAxisSize: MainAxisSize.min,
-        children: [
-          Icon(
-            statusIcon,
-            size: 14,
-            color: statusColor,
-          ),
-          const SizedBox(width: 5),
-          Text(
-            statusText,
-            style: TextStyle(
-              fontSize: 12,
-              fontWeight: FontWeight.bold,
-              color: statusColor,
-            ),
-          ),
-        ],
-      ),
-    );
-  }
-
-  void _showDetailPenerima(
-      BuildContext context, PenerimaPenyaluranModel penerima) {
-    _showDetailPenerimaan(context, penerima);
-  }
 }
diff --git a/lib/app/modules/petugas_desa/views/lokasi_penyaluran_view.dart b/lib/app/modules/petugas_desa/views/lokasi_penyaluran_view.dart
new file mode 100644
index 0000000..8b3cd79
--- /dev/null
+++ b/lib/app/modules/petugas_desa/views/lokasi_penyaluran_view.dart
@@ -0,0 +1,507 @@
+import 'package:flutter/material.dart';
+import 'package:get/get.dart';
+import 'package:penyaluran_app/app/modules/petugas_desa/controllers/jadwal_penyaluran_controller.dart';
+import 'package:penyaluran_app/app/theme/app_theme.dart';
+import 'package:penyaluran_app/app/routes/app_pages.dart';
+
+class LokasiPenyaluranView extends GetView<JadwalPenyaluranController> {
+  const LokasiPenyaluranView({super.key});
+
+  @override
+  Widget build(BuildContext context) {
+    return Scaffold(
+      appBar: AppBar(
+        title: const Text('Lokasi Penyaluran'),
+        backgroundColor: AppTheme.primaryColor,
+        foregroundColor: Colors.white,
+      ),
+      body: _buildLokasiPenyaluranList(),
+      floatingActionButton: FloatingActionButton.extended(
+        onPressed: () => Get.toNamed(Routes.tambahLokasiPenyaluran),
+        backgroundColor: AppTheme.primaryColor,
+        icon: const Icon(Icons.add_location, color: Colors.white),
+        label:
+            const Text('Tambah Lokasi', style: TextStyle(color: Colors.white)),
+      ),
+    );
+  }
+
+  Widget _buildLokasiPenyaluranList() {
+    return RefreshIndicator(
+      onRefresh: () => controller.loadLokasiPenyaluranData(),
+      child: Padding(
+        padding: const EdgeInsets.all(16.0),
+        child: Column(
+          crossAxisAlignment: CrossAxisAlignment.start,
+          children: [
+            // Header dengan gradient yang lebih menarik
+            Container(
+              width: double.infinity,
+              padding: const EdgeInsets.all(20),
+              decoration: BoxDecoration(
+                gradient: LinearGradient(
+                  colors: [
+                    Colors.blue.shade700,
+                    Colors.blue.shade500,
+                  ],
+                  begin: Alignment.topLeft,
+                  end: Alignment.bottomRight,
+                ),
+                borderRadius: BorderRadius.circular(20),
+                boxShadow: [
+                  BoxShadow(
+                    color: Colors.blue.shade200.withOpacity(0.5),
+                    blurRadius: 10,
+                    offset: const Offset(0, 5),
+                  ),
+                ],
+              ),
+              child: Column(
+                crossAxisAlignment: CrossAxisAlignment.start,
+                children: [
+                  Row(
+                    children: [
+                      Icon(
+                        Icons.location_on,
+                        color: Colors.white.withOpacity(0.9),
+                        size: 24,
+                      ),
+                      const SizedBox(width: 10),
+                      Text(
+                        'Daftar Lokasi Penyaluran',
+                        style: Theme.of(Get.context!)
+                            .textTheme
+                            .titleLarge
+                            ?.copyWith(
+                              fontWeight: FontWeight.bold,
+                              color: Colors.white,
+                            ),
+                      ),
+                    ],
+                  ),
+                  const SizedBox(height: 10),
+                  Text(
+                    'Kelola lokasi penyaluran bantuan untuk masyarakat dengan lebih mudah',
+                    style: TextStyle(
+                      fontSize: 14,
+                      color: Colors.white.withOpacity(0.9),
+                    ),
+                  ),
+                  const SizedBox(height: 16),
+                  // Counter jumlah lokasi
+                  Container(
+                    padding:
+                        const EdgeInsets.symmetric(horizontal: 12, vertical: 6),
+                    decoration: BoxDecoration(
+                      color: Colors.white.withOpacity(0.2),
+                      borderRadius: BorderRadius.circular(30),
+                    ),
+                    child: Obx(() => Text(
+                          '${controller.lokasiPenyaluranCache.length} Lokasi Terdaftar',
+                          style: const TextStyle(
+                            color: Colors.white,
+                            fontWeight: FontWeight.bold,
+                            fontSize: 12,
+                          ),
+                        )),
+                  ),
+                ],
+              ),
+            ),
+
+            const SizedBox(height: 20),
+
+            // Daftar Lokasi
+            Expanded(
+              child: Obx(() {
+                if (controller.isLokasiLoading.value) {
+                  return const Center(
+                    child: CircularProgressIndicator(),
+                  );
+                }
+
+                if (controller.lokasiPenyaluranCache.isEmpty) {
+                  return Center(
+                    child: Column(
+                      mainAxisSize: MainAxisSize.min,
+                      children: [
+                        Container(
+                          padding: const EdgeInsets.all(20),
+                          decoration: BoxDecoration(
+                            color: Colors.grey.shade100,
+                            shape: BoxShape.circle,
+                          ),
+                          child: Icon(
+                            Icons.location_off,
+                            size: 64,
+                            color: Colors.grey.shade400,
+                          ),
+                        ),
+                        const SizedBox(height: 16),
+                        Text(
+                          'Belum ada lokasi penyaluran',
+                          style: TextStyle(
+                            fontSize: 18,
+                            fontWeight: FontWeight.bold,
+                            color: Colors.grey.shade600,
+                          ),
+                        ),
+                        const SizedBox(height: 8),
+                        Text(
+                          'Tambahkan lokasi penyaluran untuk memulai',
+                          style: TextStyle(
+                            fontSize: 14,
+                            color: Colors.grey.shade500,
+                          ),
+                        ),
+                        const SizedBox(height: 20),
+                        ElevatedButton.icon(
+                          onPressed: () =>
+                              Get.toNamed(Routes.tambahLokasiPenyaluran),
+                          icon: const Icon(Icons.add_location),
+                          label: const Text('Tambah Lokasi'),
+                          style: ElevatedButton.styleFrom(
+                            backgroundColor: Colors.blue.shade600,
+                            foregroundColor: Colors.white,
+                            padding: const EdgeInsets.symmetric(
+                                horizontal: 24, vertical: 12),
+                            shape: RoundedRectangleBorder(
+                              borderRadius: BorderRadius.circular(30),
+                            ),
+                          ),
+                        ),
+                      ],
+                    ),
+                  );
+                }
+
+                return ListView.builder(
+                  physics: const BouncingScrollPhysics(),
+                  padding: const EdgeInsets.only(top: 8, bottom: 100),
+                  itemCount: controller.lokasiPenyaluranCache.length +
+                      1, // +1 untuk footer
+                  itemBuilder: (context, index) {
+                    // Footer item
+                    if (index == controller.lokasiPenyaluranCache.length) {
+                      return Center(
+                        child: Padding(
+                          padding: const EdgeInsets.symmetric(vertical: 16.0),
+                          child: Text(
+                            'Tidak ada lokasi lainnya',
+                            style: TextStyle(
+                              fontSize: 13,
+                              color: Colors.grey.shade500,
+                              fontStyle: FontStyle.italic,
+                            ),
+                          ),
+                        ),
+                      );
+                    }
+
+                    // Item lokasi normal
+                    final lokasi = controller.lokasiPenyaluranCache.values
+                        .elementAt(index);
+                    final lokasiId =
+                        controller.lokasiPenyaluranCache.keys.elementAt(index);
+
+                    return AnimatedContainer(
+                      duration: const Duration(milliseconds: 300),
+                      curve: Curves.easeInOut,
+                      margin: const EdgeInsets.only(bottom: 16),
+                      decoration: BoxDecoration(
+                        borderRadius: BorderRadius.circular(16),
+                        boxShadow: [
+                          BoxShadow(
+                            color: Colors.black.withOpacity(0.05),
+                            blurRadius: 10,
+                            offset: const Offset(0, 4),
+                          ),
+                        ],
+                      ),
+                      child: Card(
+                        margin: EdgeInsets.zero,
+                        elevation: 0,
+                        shape: RoundedRectangleBorder(
+                          borderRadius: BorderRadius.circular(16),
+                        ),
+                        child: InkWell(
+                          borderRadius: BorderRadius.circular(16),
+                          onTap: () {
+                            // Tambahkan aksi ketika card diklik
+                          },
+                          child: Padding(
+                            padding: const EdgeInsets.all(16),
+                            child: Column(
+                              crossAxisAlignment: CrossAxisAlignment.start,
+                              children: [
+                                Row(
+                                  crossAxisAlignment: CrossAxisAlignment.center,
+                                  children: [
+                                    // Icon Lokasi dengan latar belakang
+                                    Hero(
+                                      tag: 'lokasi_icon_$lokasiId',
+                                      child: Container(
+                                        padding: const EdgeInsets.all(12),
+                                        decoration: BoxDecoration(
+                                          color: Colors.blue.shade50,
+                                          shape: BoxShape.circle,
+                                          boxShadow: [
+                                            BoxShadow(
+                                              color:
+                                                  Colors.blue.withOpacity(0.1),
+                                              blurRadius: 8,
+                                              offset: const Offset(0, 2),
+                                            ),
+                                          ],
+                                        ),
+                                        child: Icon(
+                                          Icons.location_on,
+                                          color: Colors.blue.shade700,
+                                          size: 28,
+                                        ),
+                                      ),
+                                    ),
+                                    const SizedBox(width: 16),
+                                    // Informasi utama lokasi
+                                    Expanded(
+                                      child: Column(
+                                        crossAxisAlignment:
+                                            CrossAxisAlignment.start,
+                                        children: [
+                                          Hero(
+                                            tag: 'lokasi_nama_$lokasiId',
+                                            child: Material(
+                                              color: Colors.transparent,
+                                              child: Text(
+                                                lokasi.nama,
+                                                style: const TextStyle(
+                                                  fontWeight: FontWeight.bold,
+                                                  fontSize: 18,
+                                                ),
+                                              ),
+                                            ),
+                                          ),
+                                          const SizedBox(height: 4),
+                                          if (lokasi.alamatLengkap != null &&
+                                              lokasi.alamatLengkap!.isNotEmpty)
+                                            Text(
+                                              lokasi.alamatLengkap!,
+                                              style: TextStyle(
+                                                fontSize: 14,
+                                                color: Colors.grey.shade700,
+                                              ),
+                                              maxLines: 2,
+                                              overflow: TextOverflow.ellipsis,
+                                            ),
+
+                                          // Indikator koordinat tersedia
+                                          if (lokasi.latitude != null &&
+                                              lokasi.longitude != null)
+                                            Padding(
+                                              padding: const EdgeInsets.only(
+                                                  top: 4.0),
+                                              child: Row(
+                                                mainAxisSize: MainAxisSize.min,
+                                                children: [
+                                                  Icon(
+                                                    Icons.gps_fixed,
+                                                    size: 14,
+                                                    color: Colors.blue.shade500,
+                                                  ),
+                                                  const SizedBox(width: 4),
+                                                  Text(
+                                                    'Koordinat tersedia',
+                                                    style: TextStyle(
+                                                      fontSize: 12,
+                                                      color:
+                                                          Colors.blue.shade500,
+                                                      fontWeight:
+                                                          FontWeight.w500,
+                                                    ),
+                                                  ),
+                                                ],
+                                              ),
+                                            ),
+                                        ],
+                                      ),
+                                    ),
+
+                                    // Badge "NEW" jika lokasi baru dibuat (kurang dari 3 hari)
+                                    if (_isNewLocation(lokasi.createdAt))
+                                      Container(
+                                        padding: const EdgeInsets.symmetric(
+                                          horizontal: 8,
+                                          vertical: 4,
+                                        ),
+                                        decoration: BoxDecoration(
+                                          color: Colors.orange.shade500,
+                                          borderRadius:
+                                              BorderRadius.circular(12),
+                                        ),
+                                        child: const Text(
+                                          'BARU',
+                                          style: TextStyle(
+                                            color: Colors.white,
+                                            fontWeight: FontWeight.bold,
+                                            fontSize: 10,
+                                          ),
+                                        ),
+                                      ),
+                                  ],
+                                ),
+
+                                // Divider dan tag kategori
+                                if (lokasi.isLokasiTitip ||
+                                    (lokasi.desa != null &&
+                                        lokasi.desa!.isNotEmpty))
+                                  Padding(
+                                    padding: const EdgeInsets.only(top: 12.0),
+                                    child: Divider(color: Colors.grey.shade200),
+                                  ),
+
+                                // Informasi tambahan dan tag
+                                Padding(
+                                  padding: const EdgeInsets.only(top: 12.0),
+                                  child: Wrap(
+                                    spacing: 8,
+                                    runSpacing: 8,
+                                    children: [
+                                      // Tag lokasi penitipan jika ada
+                                      if (lokasi.isLokasiTitip)
+                                        Container(
+                                          padding: const EdgeInsets.symmetric(
+                                            horizontal: 10,
+                                            vertical: 6,
+                                          ),
+                                          decoration: BoxDecoration(
+                                            color: Colors.green.shade100,
+                                            borderRadius:
+                                                BorderRadius.circular(30),
+                                            border: Border.all(
+                                                color: Colors.green.shade300),
+                                          ),
+                                          child: Row(
+                                            mainAxisSize: MainAxisSize.min,
+                                            children: [
+                                              Icon(
+                                                Icons.check_circle_outline,
+                                                size: 16,
+                                                color: Colors.green.shade800,
+                                              ),
+                                              const SizedBox(width: 4),
+                                              Text(
+                                                'Lokasi Penitipan',
+                                                style: TextStyle(
+                                                  fontSize: 12,
+                                                  fontWeight: FontWeight.bold,
+                                                  color: Colors.green.shade800,
+                                                ),
+                                              ),
+                                            ],
+                                          ),
+                                        ),
+
+                                      // Tag informasi desa jika ada
+                                      if (lokasi.desa != null &&
+                                          lokasi.desa!.isNotEmpty)
+                                        Container(
+                                          padding: const EdgeInsets.symmetric(
+                                            horizontal: 10,
+                                            vertical: 6,
+                                          ),
+                                          decoration: BoxDecoration(
+                                            color: Colors.blue.shade50,
+                                            borderRadius:
+                                                BorderRadius.circular(30),
+                                            border: Border.all(
+                                                color: Colors.blue.shade200),
+                                          ),
+                                          child: Row(
+                                            mainAxisSize: MainAxisSize.min,
+                                            children: [
+                                              Icon(
+                                                Icons.location_city,
+                                                size: 16,
+                                                color: Colors.blue.shade800,
+                                              ),
+                                              const SizedBox(width: 4),
+                                              Text(
+                                                lokasi.desa!,
+                                                style: TextStyle(
+                                                  fontSize: 12,
+                                                  fontWeight: FontWeight.bold,
+                                                  color: Colors.blue.shade800,
+                                                ),
+                                              ),
+                                            ],
+                                          ),
+                                        ),
+                                    ],
+                                  ),
+                                ),
+
+                                // Tombol aksi
+                                Padding(
+                                  padding: const EdgeInsets.only(top: 16.0),
+                                  child: Row(
+                                    mainAxisAlignment: MainAxisAlignment.end,
+                                    children: [
+                                      // Tombol Hapus
+                                      Material(
+                                        color: Colors.transparent,
+                                        child: InkWell(
+                                          onTap: () {
+                                            // Aksi hapus lokasi
+                                            controller.hapusLokasiPenyaluran(
+                                                lokasiId);
+                                          },
+                                          borderRadius:
+                                              BorderRadius.circular(30),
+                                          child: Padding(
+                                            padding: const EdgeInsets.symmetric(
+                                                horizontal: 8.0, vertical: 4.0),
+                                            child: Row(
+                                              mainAxisSize: MainAxisSize.min,
+                                              children: [
+                                                Icon(Icons.delete_outline,
+                                                    color: Colors.red.shade600,
+                                                    size: 18),
+                                                const SizedBox(width: 4),
+                                                Text(
+                                                  'Hapus',
+                                                  style: TextStyle(
+                                                    color: Colors.red.shade600,
+                                                    fontWeight: FontWeight.bold,
+                                                  ),
+                                                ),
+                                              ],
+                                            ),
+                                          ),
+                                        ),
+                                      ),
+                                    ],
+                                  ),
+                                ),
+                              ],
+                            ),
+                          ),
+                        ),
+                      ),
+                    );
+                  },
+                );
+              }),
+            ),
+          ],
+        ),
+      ),
+    );
+  }
+
+  // Helper method untuk menentukan apakah lokasi baru dibuat (kurang dari 3 hari)
+  bool _isNewLocation(DateTime createdAt) {
+    final now = DateTime.now();
+    final difference = now.difference(createdAt);
+    return difference.inDays < 3;
+  }
+}
